Search Support

Beware of phishing attacks: Mozilla will never ask you to call a number or visit a non-Mozilla website. Please ignore such requests.

Learn More

Vendors cannot keep up with your changes. I use IE now because of update issues. Very annoying++

  • 1 ответ
  • 1 имеет эту проблему
  • 7 просмотров
  • Последний ответ от FredMcD

more options

So many times I have been trying to communicate with people I buy from. They do not update their browser and suddenly we cannot communicate.

You need to fix this.

All Replies (1)

more options

Why are they not updating their browsers? Old programs can have problems such as viral attacks.


Separate Security Issue: Update your Flash Player Note: Windows users should download the ActiveX for Internet Explorer. and the plugin for Plugin-based browsers (like Firefox).

Note: Windows 8 and Windows 10 have built-in flash players and Adobe will cause a conflict. Install the plugin only. Not the ActiveX.

Flash Player Version: Version 27.0.0.130

https://get.adobe.com/flashplayer/ Direct link scans current system and browser Note: Other software is offered in the download. <Windows Only>

https://get.adobe.com/flashplayer/otherversions/ Step 1: Select Operating System Step 2: Select A Version (Firefox, Win IE . . . .) Note: Other software is offered in the download. <Windows Only> +++++++++++++++++++ See if there are updates for your graphics drivers https://support.mozilla.org/en-US/kb/upgrade-graphics-drivers-use-hardware-acceleration